# Function getFlagCountry

- getFlagCountry(mmsi: string): FlagCountry | null

  Return the flag country information for the MID from the supplied MMSI.

  #### Parameters

  - mmsi: string

    MMSI.

  #### Returns FlagCountry | null

  Flag country information with ISO codes and name, or null if not found.

  #### Example

      app.getFlagCountry('201456789')

      returns: {
        alpha2: 'AL',
        alpha3: 'ALB',
        name: 'Albania'
      }

  - Defined in mmsi/mmsi.ts:176